Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampForMaya::TranslationCharacterModel Class Reference

変換キャラクタモデル More...

`#include <TranslationCharacterModel.h>`

Inheritance diagram for LampForMaya::TranslationCharacterModel:

List of all members.

## Public Member Functions
virtual | ~TranslationCharacterModel ()
| デストラクタ
virtual bool | isCharacterModel () const
| キャラクタモデルかどうか
virtual bool | analyze (TranslationMeshManager *meshManager)
| 分析
virtual bool | analyzeAnimation ()
| アニメーションの分析
virtual bool | convertToLamp (Scene *scene)
| Lampへの変換.
virtual bool | convertAnimation (AnimationManager *animationManager, AnimationSet *animationSet)
| アニメーションの変換
virtual TranslationBone * | searchBone (const String &boneName)
| 変換ボーンの検索
## Protected Member Functions
| TranslationCharacterModel (const MObject &initializeObject, const String &initializeName, const MObject &skinClusterObject)
| コンストラクタ
virtual bool | analyzeBone ()
| ボーンのアナライズ
virtual bool | analyzeMesh (TranslationMeshManager *meshManager)
| メッシュのアナライズ
virtual bool | analyzeWeight ()
| ウェイトのアナライズ
## Friends
class | TranslationModelManager

## Detailed Description

変換キャラクタモデル

Definition at line 40 of file TranslationCharacterModel.h.

## Constructor & Destructor Documentation

LampForMaya::TranslationCharacterModel::TranslationCharacterModel | ( | const MObject & | initializeObject,
|  | const String & | initializeName,
|  | const MObject & | skinClusterObject
| ) | `[protected]`

  | コンストラクタ Parameters:
  initializeObject | 初期化するオブジェクト
  initializeName | 初期化する名前
  skinClusterObject | スキンクラスタオブジェクト
Definition at line 42 of file TranslationCharacterModel.cpp. References MayaStatusCheck.

## Member Function Documentation

bool LampForMaya::TranslationCharacterModel::analyze | ( | TranslationMeshManager * | meshManager | ) | `[virtual]`

  | 分析 Parameters:
  meshManager | メッシュマネージャ
Returns: 成功すればtrue Implements LampForMaya::TranslationModel. Definition at line 58 of file TranslationCharacterModel.cpp. References analyzeBone(), analyzeMesh(), LampForMaya::TranslationModel::analyzeModel(), analyzeWeight(), MayaErrorOut, LampForMaya::TranslationModel::meshes_, and LampForMaya::TranslationModel::name_.

bool LampForMaya::TranslationCharacterModel::analyzeAnimation | ( |  | ) | `[virtual]`

| アニメーションの分析 Returns: 成功すればtrue Reimplemented from LampForMaya::TranslationModel. Definition at line 433 of file TranslationCharacterModel.cpp. References LampForMaya::TranslationSequence::analyze(), LampForMaya::TranslationBone::analyzeAnimation(), LampForMaya::TranslationSequence::getEndTime(), LampForMaya::TranslationSequence::getSequenceCount(), LampForMaya::TranslationSequence::getStartTime(), and LampForMaya::TranslationModel::object_.

bool LampForMaya::TranslationCharacterModel::analyzeBone | ( |  | ) | `[protected, virtual]`

| ボーンのアナライズ Returns: 成功すればtrue Definition at line 81 of file TranslationCharacterModel.cpp. References LampForMaya::TranslationBone::analyze(), LampForMaya::TranslationBone::buildModelMatrix(), MayaErrorOut, MayaStatusCheck, and LampForMaya::TranslationModel::name_. Referenced by analyze().

bool LampForMaya::TranslationCharacterModel::analyzeMesh | ( | TranslationMeshManager * | meshManager | ) | `[protected, virtual]`

  | メッシュのアナライズ Parameters:
  meshManager | メッシュマネージャ
Returns: 成功すればtrue Definition at line 121 of file TranslationCharacterModel.cpp. References LampForMaya::TranslationMesh::addColor(), LampForMaya::TranslationCharacterMesh::addIndex(), LampForMaya::TranslationMesh::addNormal(), LampForMaya::TranslationMesh::addPosition(), LampForMaya::TranslationMesh::addUV(), LampForMaya::TranslationMeshManager::createCharacterMesh(), LampForMaya::TranslationModel::getShaderName(), MayaErrorOut, MayaStatusCheck, LampForMaya::TranslationModel::meshes_, LampForMaya::TranslationModel::name_, LampForMaya::TranslationModel::object_, LampForMaya::TranslationMeshManager::search(), LampForMaya::TranslationMesh::setMaterialName(), and LampForMaya::TranslationMesh::setUVSetCount(). Referenced by analyze().

bool LampForMaya::TranslationCharacterModel::analyzeWeight | ( |  | ) | `[protected, virtual]`

| ウェイトのアナライズ Returns: 成功すればtrue Definition at line 324 of file TranslationCharacterModel.cpp. References MayaErrorOut, MayaStatusCheck, LampForMaya::TranslationModel::name_, LampForMaya::TranslationModel::object_, and LampForMaya::TranslationCharacterMesh::setWeights(). Referenced by analyze().

bool LampForMaya::TranslationCharacterModel::convertAnimation | ( | AnimationManager * | animationManager,
|  | AnimationSet * | animationSet
| ) | `[virtual]`

  | アニメーションの変換 Parameters:
  animationManager | アニメーションマネージャ
  animationSet | アニメーションセット
Returns: 成功すればtrue Reimplemented from LampForMaya::TranslationModel. Definition at line 475 of file TranslationCharacterModel.cpp. References LampForMaya::TranslationSequence::getEndTime(), LampForMaya::TranslationModel::getName(), LampForMaya::TranslationBone::getRotationAnimation(), LampForMaya::TranslationBone::getScaleAnimation(), LampForMaya::TranslationSequence::getSequenceCount(), LampForMaya::TranslationSequence::getStartTime(), LampForMaya::TranslationBone::getTranslationAnimation(), LampForMaya::TranslationSequence::hasSequence(), LampForMaya::TranslationSequence::isLooped(), MayaErrorOut, and LampForMaya::TranslationModel::name_.

bool LampForMaya::TranslationCharacterModel::convertToLamp | ( | Scene * | scene | ) | `[virtual]`

  | Lampへの変換. Parameters:
  scene | シーン
Returns: 成功すればtrue Implements LampForMaya::TranslationModel. Definition at line 445 of file TranslationCharacterModel.cpp. References LampForMaya::TranslationBone::boneLink(), LampForMaya::TranslationBone::convertToLamp(), MayaErrorOut, LampForMaya::TranslationModel::meshes_, LampForMaya::TranslationModel::name_, and LampForMaya::TranslationModel::visibility_.

virtual bool LampForMaya::TranslationCharacterModel::isCharacterModel | ( |  | ) | const`[inline, virtual]`

| キャラクタモデルかどうか Returns: キャラクタモデルならtrue Reimplemented from LampForMaya::TranslationModel. Definition at line 52 of file TranslationCharacterModel.h.

TranslationBone * LampForMaya::TranslationCharacterModel::searchBone | ( | const String & | boneName | ) | `[virtual]`

  | 変換ボーンの検索 Parameters:
  boneName | ボーン名
Returns: ボーン Definition at line 110 of file TranslationCharacterModel.cpp. References LampForMaya::TranslationBone::getName(). Referenced by LampForMaya::TranslationBone::buildModelMatrix().

The documentation for this class was generated from the following files:

- TranslationCharacterModel.h
- TranslationCharacterModel.cpp